openssl1.0.2 支持 TLS1.0 ,TLS 1.1和 TLS1.2吗?

zl481923 发布于 2015/03/13 10:10
阅读 9K+
收藏 0

本人最近看到新版本的openssl1.0.2  ,想了解他支持与兼容的TLS协议版本,但是一直没有找到详细资料,请大神帮忙提供。

还有本人想了解一下他是否同时支持SHA1,SHA2 . 本人一直没有找到相关说明。请各位高手指教!!!

加载中
0
淡定的wo
淡定的wo

https://www.openssl.org/news/openssl-notes.html

Major changes between OpenSSL 1.0.0h and OpenSSL 1.0.1 [14 Mar 2012]:

  • Support TLS v1.2 and TLS v1.1.


https://www.openssl.org/docs/apps/dss1.html

NAME

dgst, sha, sha1, mdc2, ripemd160, sha224, sha256, sha384, sha512, md2, md4, md5, dss1 - message digests

淡定的wo
淡定的wo
回复 @zl481923 : ssl3 和 TLS1.0 是已经过时的了,都是不建议使用的。所以,没必要关系支持不支持,或兼容它们。
z
zl481923
回复有理有据,但是还是不知道是否同时支持TLS1.0 、 TLS1.1、TLS1.2 三个协议版本。
0
z
zl481923

开发的软件以前是支持TLS1.0  。要兼容,所以需要支持tls1.0

0
z
zl481923

最新的openssl 向前支持tls 1.0吗?

返回顶部
顶部